curl --request PUT \
--url https://api.speedsellx.io/v2/public/upsells/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"name": "<string>",
"product_link_id": 2,
"accept_text": "<string>",
"refuse_text": "<string>",
"accept_page": "<string>",
"refuse_page": "<string>"
}
'import requests
url = "https://api.speedsellx.io/v2/public/upsells/{id}"
payload = {
"name": "<string>",
"product_link_id": 2,
"accept_text": "<string>",
"refuse_text": "<string>",
"accept_page": "<string>",
"refuse_page": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
product_link_id: 2,
accept_text: '<string>',
refuse_text: '<string>',
accept_page: '<string>',
refuse_page: '<string>'
})
};
fetch('https://api.speedsellx.io/v2/public/upsells/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.speedsellx.io/v2/public/upsells/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'product_link_id' => 2,
'accept_text' => '<string>',
'refuse_text' => '<string>',
'accept_page' => '<string>',
'refuse_page' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.speedsellx.io/v2/public/upsells/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"product_link_id\": 2,\n \"accept_text\": \"<string>\",\n \"refuse_text\": \"<string>\",\n \"accept_page\": \"<string>\",\n \"refuse_page\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.speedsellx.io/v2/public/upsells/{id}")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"product_link_id\": 2,\n \"accept_text\": \"<string>\",\n \"refuse_text\": \"<string>\",\n \"accept_page\": \"<string>\",\n \"refuse_page\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.speedsellx.io/v2/public/upsells/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"product_link_id\": 2,\n \"accept_text\": \"<string>\",\n \"refuse_text\": \"<string>\",\n \"accept_page\": \"<string>\",\n \"refuse_page\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": 123,
"seller_id": 123,
"funnel_id": 123,
"product_id": 123,
"product_link_id": 123,
"name": "<string>",
"status": "<string>",
"accept_text": "<string>",
"refuse_text": "<string>",
"accept_page": "<string>",
"refuse_page": "<string>",
"accept_redirect": "<string>",
"refuse_redirect": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
}{
"status": "error",
"error": "unauthenticated"
}{
"status": "error",
"error": "insufficient_scope"
}{
"status": "error",
"error": "not_found"
}{
"status": "error",
"error": "idempotency_in_progress"
}{
"message": "<string>",
"errors": {}
}Atualizar upsell
É um merge, não uma substituição. Todos os campos são opcionais e o que a requisição não carrega mantém o valor que tem, inclusive os textos dos botões e o product_link_id, que é o que a oferta cobra.
Uma oferta de outra conta responde 404 sem escrever nada. Exige o escopo upsells:write e o header Idempotency-Key.
curl --request PUT \
--url https://api.speedsellx.io/v2/public/upsells/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"name": "<string>",
"product_link_id": 2,
"accept_text": "<string>",
"refuse_text": "<string>",
"accept_page": "<string>",
"refuse_page": "<string>"
}
'import requests
url = "https://api.speedsellx.io/v2/public/upsells/{id}"
payload = {
"name": "<string>",
"product_link_id": 2,
"accept_text": "<string>",
"refuse_text": "<string>",
"accept_page": "<string>",
"refuse_page": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
product_link_id: 2,
accept_text: '<string>',
refuse_text: '<string>',
accept_page: '<string>',
refuse_page: '<string>'
})
};
fetch('https://api.speedsellx.io/v2/public/upsells/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.speedsellx.io/v2/public/upsells/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'product_link_id' => 2,
'accept_text' => '<string>',
'refuse_text' => '<string>',
'accept_page' => '<string>',
'refuse_page' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.speedsellx.io/v2/public/upsells/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"product_link_id\": 2,\n \"accept_text\": \"<string>\",\n \"refuse_text\": \"<string>\",\n \"accept_page\": \"<string>\",\n \"refuse_page\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.speedsellx.io/v2/public/upsells/{id}")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"product_link_id\": 2,\n \"accept_text\": \"<string>\",\n \"refuse_text\": \"<string>\",\n \"accept_page\": \"<string>\",\n \"refuse_page\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.speedsellx.io/v2/public/upsells/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"product_link_id\": 2,\n \"accept_text\": \"<string>\",\n \"refuse_text\": \"<string>\",\n \"accept_page\": \"<string>\",\n \"refuse_page\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": 123,
"seller_id": 123,
"funnel_id": 123,
"product_id": 123,
"product_link_id": 123,
"name": "<string>",
"status": "<string>",
"accept_text": "<string>",
"refuse_text": "<string>",
"accept_page": "<string>",
"refuse_page": "<string>",
"accept_redirect": "<string>",
"refuse_redirect": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
}{
"status": "error",
"error": "unauthenticated"
}{
"status": "error",
"error": "insufficient_scope"
}{
"status": "error",
"error": "not_found"
}{
"status": "error",
"error": "idempotency_in_progress"
}{
"message": "<string>",
"errors": {}
}Authorizations
A chave de API da conta, no formato sk_{modo}_{prefixo}.{segredo}.
Headers
Chave única da operação. Obrigatória em toda requisição que altera dados; sem ela a resposta é 422 idempotency_key_required. Um reenvio com a mesma chave e o mesmo corpo repete a resposta guardada.
255Path Parameters
Body
Body of PUT /v2/public/upsells/{id}. Every field is optional, the way the source api accepted it (SHA 70cd772); what the request does not carry keeps the value the offer has.
255draft, published, null The product the offer SELLS, when it is not the funnel's own.
x >= 1255255500500Response
ApiUpsellResource
Show child attributes
Show child attributes